
Infrastructure - Task #1949

Support # 1947 (Closed): deploy MNWebTester for v1.0.0

create "index" MNWebTester page for getting to multiple test versions

2011-10-28 16:46 - Rob Nahf

Status: Closed Start date: 2011-10-28

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_integration Estimated time: 0.00 hour

Target version:    

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

seems to require manual process.  Didn't find a way in Tomcat to put sub-directories under webapps, and don't want to open up the

tomcat the manager

History

#1 - 2011-10-28 16:52 - Rob Nahf

- % Done changed from 0 to 30

- Parent task changed from #1917 to #1947

#2 - 2011-11-09 21:54 - Rob Nahf

- Assignee changed from Rob Nahf to Skye Roseboom

#3 - 2011-11-15 19:58 - Skye Roseboom

- Status changed from In Progress to Closed

created new project 'd1_web_test_site' that contains a servlet to generate a listing of running MN web service test suites. List app is deployed to

MNcheck.test.dataone.org.

Servlet runs with privileged mode which grants access to container's class loader - allowing servlet access to container level context - in order to

inspect other web applications on the tomcat install.

Manifest files are examined to derive version, revision, build time for display on the list. same information is displayed for all d1_* jar files found in

each version of the MN web service test suites.

Powered by TCPDF (www.tcpdf.org)

2024-05-19 1/1

http://www.tcpdf.org

